/ comp / gb.qt.kde / dialog / filter
Dialog.Filter (gb.qt.kde)
Syntax

    STATIC PROPERTY Filter AS String[]

Returns or sets the filters used by the control for only displaying specific file types.

This property receives a string array having the following structure:

- The first filter.
- The first filter description.
- The second filter.
- The second filter description.
- And so on...

A filter string is a list of file patterns with wildcards, separated by a semicolon.

A filter description can be any string. The filter string is automatically appended to the filter description.

### Examples

    Dialog.Title = "Choose a file"
    Dialog.Filter = [ "*.png;*.jpg;*.jpeg;*.bmp", "Picture files", "*.svg;*.wmf", "Drawing files" ]
    Dialog.Path = "/home/hjh/spiele/sudoku"
    IF Dialog.OpenFile() THEN
      RETURN ' User pressed Cancel - does not want to open any file
    ENDIF
    ' User did select a file